Name:          libatm
Version:       2.5.2
Release:       1mamba
Summary:       Drivers and tools to support ATM networking under Linux
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://sourceforge.net/projects/linux-atm/
Source:        https://downloads.sourceforge.net/sourceforge/linux-atm/linux-atm-%{version}.tar.gz
Patch0:        libatm-2.5.2-remove-define-hacks.patch
Patch1:        libatm-2.5.2-man-pages.patch
Patch2:        libatm-2.5.2-glibc-2.32.patch
License:       BSD, GPL, LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: ldconfig
BuildRequires: libfl-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Drivers and tools to support ATM networking under Linux.
Eventually this will also include support for some types of DSL modems.

%package devel
Summary:       Development files for libatm
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      %{name}-tools = %{?epoch:%epoch:}%{version}-%{release}

%description devel
Drivers and tools to support ATM networking under Linux.
Eventually this will also include support for some types of DSL modems.
This package contains static libraries and header files needed for development.

%package tools
Summary:       Tools for linux-atm
Group:         System/Tools
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tools
Drivers and tools to support ATM networking under Linux.
Eventually this will also include support for some types of DSL modems.
This package contains the tools that come with linux-atm.

%debug_package

%prep
%setup -q -n linux-atm-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
sed -i "s,| arm-\*  |,| aarch64-\* | arm-\*  |," config.sub

%build
%configure
%make

#fixme: configure: WARNING: *** atmoamd will not be built.  Missing kernel support?

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libatm.so.*
%doc COPYING COPYING.LGPL

%files devel
%defattr(-,root,root)
%{_includedir}/atm*.h
%{_libdir}/libatm.a
%{_libdir}/libatm.la
%{_libdir}/libatm.so

%files tools
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/atmsigd.conf
%config(noreplace) %{_sysconfdir}/hosts.atm
%{_bindir}/*
%{_sbindir}/*
/lib/firmware/pca200e.bin
/lib/firmware/pca200e_ecd.bin2
/lib/firmware/sba200e_ecd.bin2
%{_mandir}/man4/atmsigd.conf.4*
%{_mandir}/man7/qos.7*
%{_mandir}/man7/sap.7*
%{_mandir}/man8/*.8*
%doc COPYING.GPL

%changelog
* Tue Dec 01 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 2.5.2-1mamba
- update to 2.5.2
- added debug package and aarch64 build fix

* Mon Apr 06 2015 Automatic Build System <autodist@mambasoft.it> 2.5.1-2mamba
- automatic rebuild by autodist

* Thu Apr 01 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2.5.1-1mamba
- update to 2.5.1

* Thu Jun 19 2008 Tiziana Ferro <tiziana.ferro@email.it> 2.5.0-1mamba
- update to 2.5.0
- remove unnecessary gcc4 patch

* Fri Jun 30 2006 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 2.4.1-2qilnx
- added gcc4 patch

* Fri Jun 25 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.1-1qilnx
- first build
